library ieee;
use ieee.std_logic_1164.all;

entity fulladder is
	port (
		-- Input ports:
		a	: in std_logic;
		b	: in std_logic;
		cin	: in std_logic;
		-- Output ports
		s	: out std_logic;
		cout: out std_logic
	);
end fulladder;	

architecture Behavioral of fulladder is
begin

	s <= (a xor b) xor cin;
	cout <= ((a xor b) and cin) or (a and b); 

end Behavioral;