library ieee;
use ieee.std_logic_1164.all;

entity add_sub_4bit_tb is
end add_sub_4bit_tb;

architecture Test of add_sub_4bit_tb is
	component add_sub_4bit is
		port (
			a 	: in std_logic_vector(3 downto 0);
			b 	: in std_logic_vector(3 downto 0); 
			sel	: in std_logic;
			s 	: out std_logic_vector(3 downto 0);
			zero: out std_logic
		);
	end component;
	
	signal a	: std_logic_vector(3 downto 0) := "0000";
	signal b	: std_logic_vector(3 downto 0) := x"0";
	signal sel	: std_logic := '0';
	signal s	: std_logic_vector(3 downto 0);
	signal zero	: std_logic;

begin
	ADD4B_INST: add_sub_4bit port map (a, b, sel, s, zero);
	
	STIMULUS: process
	begin	
		wait for 1 ns;
		a <= "1001";
	
		wait for 1 ns;
		b <= "0100";

		wait for 1 ns;
		a <= "0111";

		wait for 1 ns;
		sel <= '1';

		wait for 1 ns;
		b <= "1100";
		
	end process STIMULUS;


end Test;