library ieee;
use ieee.std_logic_1164.all;

entity adder_4bit_tb is
end adder_4bit_tb;

architecture Test of adder_4bit_tb is
	component adder_4bit is
		port (
			a	: in std_logic_vector(3 downto 0);
			b	: in std_logic_vector(3 downto 0);
			cin	: in std_logic;
			s	: out std_logic_vector(3 downto 0);
			cout: out std_logic
		);
	end component;
	
	signal a	: std_logic_vector(3 downto 0) := "0000";
	signal b	: std_logic_vector(3 downto 0) := x"0";
	signal cin	: std_logic := '0';
	signal s	: std_logic_vector(3 downto 0);
	signal cout	: std_logic;

begin
	ADD4B_INST: adder_4bit port map (a, b, cin, s, cout);
	
	STIMULUS: process
	begin	
		wait for 1 ns;
		a <= "1001";
	
		wait for 1 ns;
		b <= "0100";

		wait for 1 ns;
		a <= "0111";

		wait for 1 ns;
		cin <= '1';

		wait for 1 ns;
		b <= "1100";
        
        wait;
	end process STIMULUS;


end Test;